> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the Customer Credit Balance Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/customer-credits
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/customer-credits:
    get:
      tags:
        - Reports
      summary: Retrieve the Customer Credit Balance Report
      description: '**Scopes:** `report:read`'
      operationId: get_customer_credit_balance
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerCreditReport'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    CustomerCreditReport:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CustomerCreditReportLine'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CustomerCreditReport
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    CustomerCreditReportLine:
      properties:
        customer_id:
          type: string
          format: cus_string
          title: Customer Id
          description: The ID of the Customer
          examples:
            - cus_ApaM9xeQtNyVk5qpaHJbNj
        total_credits:
          type: number
          title: Total Credits
          description: The total credits
          examples:
            - 200.5
        total_applied_credits:
          type: number
          title: Total Applied Credits
          description: The total applied credits
          examples:
            - 100.25
        total_available_credits:
          type: number
          title: Total Available Credits
          description: The total available credits
          examples:
            - 100.25
        customer_name:
          type: string
          title: Customer Name
          description: The name of the Customer
          examples:
            - City Sports Complex
      type: object
      required:
        - customer_id
        - total_credits
        - total_applied_credits
        - total_available_credits
        - customer_name
      title: CustomerCreditReportLine
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````